<div class="primitives-container">
  <ng-container *ngIf="primitivesLoaded; else loading">
    <span class="first-element-padding"></span>
    <app-result-item
      *ngFor="let primitive of primitiveEntities"
      [primitiveEntity]="primitive">
    </app-result-item>
  </ng-container>
  <ng-template #loading>
    <div class="primitives-loading-indicator">
      <mat-spinner diameter="40"></mat-spinner>
      <p>Loading results...</p>
    </div>
  </ng-template>
</div>
